1 Reply Latest reply: Jun 12, 2012 11:13 AM by Ben_70
Ben_70 Level 1 Level 1 (0 points)

Just bought this and I keep getting the error that it was designed for a previous version of Mac OS X. 

 

What the cuss?


MacBook Pro, Mac OS X (10.7.3)